/***************************************************************************
 *   Copyright (C) 2003, 2004 by Thomas Nagy                               *
 *   tnagy256@yahoo.fr                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _LINPACKERALGOPROC_H
#define _LINPACKERALGOPROC_H

#include <qobject.h>
#include <qstring.h>

#include "algobase.h"

struct algodata;
class packingdata;
class algoproc : public QObject, public algobase
{
    Q_OBJECT
    public:

	algoproc(const QString &, int );
	virtual ~algoproc();

	void start();
	void stop();

	int currentHeight();
	void cleanup();
	QString name();
	QString description();

	// retrieve the name and description
	// should also retrieve the default parameters ...
	void setParams();

    private:
	QString m_progname;
	int m_idx;

	QString m_name;
	QString m_descr;
	
	int m_height;

	QString m_buf;

	bool m_isready;

	void decodeBufLine();
};

#endif // _LINPACKERALGOPROC_H

