/***************************************************************************
 *   Copyright (C) 2003, 2004 by Thomas Nagy                               *
 *   tnagy256@yahoo.fr                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _COMPUTATIONDATA_H
#define _COMPUTATIONDATA_H

#include <qstring.h>

// represents a packing immediately after a computation
// this one is not modified by the user, contrary to
// packingdata
//
struct computationdata 
{
	computationdata();

	// general information displayed in the gui
	int m_nbrect;
	int m_containerLB;
	int m_arearatio;
	int m_totaltime; // total time the computation took
	int m_height; // related to arearatio

	// custom information output during the computation
	// (warnings, errors ..)
	QString m_textlog;
};

struct algodata
{
	algodata();

	// algorithm-specific settings
	QString m_algoname;
	int m_iter;
	int m_population;
	int m_mutations;
	int m_crossovers;
	int m_maxtime;
	int m_fitnesstype;
};


#endif // _COMPUTATIONDATA_H

