/***************************************************************************
 *   Copyright (C) 2003, 2004 by Thomas Nagy                               *
 *   tnagy256@yahoo.fr                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <stdlib.h>

void boxmanager_content::init()
{
	//  rtable->setColumnWidth(0,70);
	//  rtable->setColumnWidth(1,70);
}

// enables the spinboxes for adding n boxes of
// dimensions specified
void boxmanager_content::enableR( int k )
{
	bool cond = false;
	if (k == 1) cond = true;

	spinbox_width->setEnabled(cond);
	spinbox_height->setEnabled(cond);   
}

// insert rectangular boxes
void boxmanager_content::insertR()
{
	int quantity = nbSpinBox->value();
	int start = 0;

	// search the start position
	if (combobox_insert_type->currentItem() == 0) // 0 is for append
	{
		while (rtable->text(start,0).toInt() > 100 and rtable->text(start,1).toInt() >100)
		{
			start++;
		}
	}

	if (combobox_box_type->currentItem() == 0) // 0 is for random boxes
	{
		// insert random boxes
		for (int i=start;i<rtable->numRows() && i<start+quantity;i++)
		{
			rtable->setText(i,0,QString::number(random()%4000+1000) );
			rtable->setText(i,1,QString::number(random()%4000+1000) );
		}
	}
	else
	{
		// insert the box given
		int width = spinbox_width->value();
		int height= spinbox_height->value();

		for (int i=start;i<rtable->numRows() && i<start+quantity;i++)
		{
			rtable->setText(i, 0, QString::number(width) );
			rtable->setText(i, 1, QString::number(height) );
		}
	}
}

// delete rectangular boxes
void boxmanager_content::deleteR()
{
	if (radioDelAll->isChecked())
	{
		for (int i=0;i<rtable->numRows();i++)
		{
			rtable->setText(i,0,QString::null);
			rtable->setText(i,1,QString::null);
		}
	}
	else
	{
		// find the rectangular boxes to delete
		int b1 = spinbox_idxbegin->value();
		int b2 = spinbox_idxend->value();
		b1--;

		int gap = b2 - b1;
		if (gap<=0)
			return;

		// copy the existing rectangular boxes to fill the gap left
		for (int i=b1; i<b2 + rtable->numRows();i++)
		{
			QString m1 = rtable->text(i+gap,0);
			QString m2 = rtable->text(i+gap,1);
			rtable->setText(i,0,m1);
			rtable->setText(i,1,m2);
		}

		// and erase the boxes moved
		for (int i=rtable->numRows()-gap;i<rtable->numRows();i++)
		{
			rtable->setText(i,0,QString::null);
			rtable->setText(i,1,QString::null);
		}
	}
}


