/***************************************************************************
 *   Copyright (C) 2003, 2004 by Thomas Nagy                               *
 *   tnagy256@yahoo.fr                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _LPRECT_H
#define _LPRECT_H

#include "algo/rectangle.h"
#include <qstring.h>
#include <qcanvas.h>

static const int canvas_rectRTTI = 1337; // muahaha

class QPointArray;
class canvas_rect : public QCanvasPolygon
{
    public:
	canvas_rect( QCanvas* );
	~canvas_rect();

	int rtti() const { return canvas_rectRTTI; }
	inline int id() const { return m_id; }

	void colorer(QColor color);

	bool click(); // what is this ?

	inline void setId(int i) { m_id = i; }
	inline void setLabel(QString lbl) { if (m_textlabel) m_textlabel->setText(lbl); }
	void setDims(float w, float h, float x, float y);
	void checkFish();

	static void setDefCenter(QPoint);
	static bool s_dofish;

	float real_width() { return m_width; }
	float real_height() { return m_height; }

	void setVisibleLabel(bool);

	// Debug
	void printSize();

    protected:
	void drawShape(QPainter &p);

    private:

	QCanvasText *m_textlabel;

	float m_x;
	float m_y;
	float m_width;
	float m_height;
	int m_id;

	QPointArray m_rectpoints;
	QPointArray m_fishpoints;

	QColor m_couleur;
	bool m_selected;
	bool m_fish;

	static QPoint defCenter;

	void setFish(bool);
	void repeindre();

	QPoint fisheyeC(float, float);
	QPoint fisheyeS(float, float);
};


#endif // _LPRECT_H

