/***************************************************************************
 *   Copyright (C) 2003, 2004 by Thomas Nagy                               *
 *   tnagy256@yahoo.fr                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef _DATAVIEW_H_
#define _DATAVIEW_H_

#include "dataview_base.h"

class rectangle;
class QPainter;
class KURL;
class parameters;
class packingdata;

class dataview : public dataview_base
{
	Q_OBJECT

	public:
		dataview(QWidget*, packingdata*);
		virtual ~dataview();
		
	public slots:
		// the data has changed, update the view
		void update();
		void updateRect(int);
		void loadSettings();

	private slots:
		// called when the user changes a table cell
		void changeDataRequested(int, int);

	private:
		packingdata *m_data;
};

#endif // _DATAVIEW_H_

