/***************************************************************************
 *   Copyright (C) 2003, 2004 by Thomas Nagy                               *
 *   tnagy256@yahoo.fr                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <qtextedit.h>
#include <qmutex.h>
#include <qlabel.h>

#include <kdebug.h>

#include "computationdata.h"
#include "packingdata.h"
#include "logview.h"

logview::logview(QWidget*parent, packingdata*data) : logview_base(parent)
{
    m_data = data;
}

logview::~logview()
{
}

void logview::update()
{
    // DEBUG
    //kdWarning()<<"\033[1;33m logview::update \033[0m"<<endl;
    
    nbrectLabel->setText( "<p align=\"right\">"+QString::number( m_data->m_cdata.m_nbrect )+"<p>" );
    iterLabel->setText( "<p align=\"right\">"+QString::number( m_data->m_adata.m_iter )+"<p>" );

    heightLabel->setText( "<p align=\"right\">"+QString::number( m_data->m_cdata.m_height )+"<p>" );
    largLabel->setText( "<p align=\"right\">"+QString::number( m_data->m_cdata.m_containerLB )+"<p>" );

    areaLabel->setText( "<p align=\"right\">"+QString::number( m_data->m_cdata.m_arearatio )+"<p>" );
    timeLabel->setText( "<p align=\"right\">"+QString::number( m_data->m_cdata.m_totaltime )+"<p>" );
    algoLabel->setText( "<p align=\"right\">"+m_data->m_adata.m_algoname+"<p>" );

    log->setText( m_data->m_cdata.m_textlog );
}

