
#include <kapplication.h>
#include <kaboutdata.h>
//#include <kurl.h>
#include <kcmdlineargs.h>
#include <dcopclient.h>
#include <klocale.h>

#include "gui/linpacker.h"

static const char description[] =
    I18N_NOOP("A tool for floorplanning and container loading");

static const char version[] = "0.5.6";

static KCmdLineOptions options[] =
{
    { "+[URL]", I18N_NOOP( "Document to open" ), 0 },
    KCmdLineLastOption
};

int main(int argc, char **argv)
{
    KAboutData about("linpacker", I18N_NOOP("linpacker"), version, description,
                     KAboutData::License_GPL, "(C) 2003, 2004 Thomas Nagy", 0, 0, "tnagy256@yahoo.fr");
    about.addAuthor( "Thomas Nagy", 0, "tnagy256@yahoo.fr" );
    about.addCredit( "Antonio Ianiero", i18n("Bug reports"), "iant@libero.it" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions(options);
    KApplication app;

//    // register as a dcop client ?
//    app.dcopClient()->registerAs(app.name(), false);
    
    // see if we are starting with session management
    if (app.isRestored())
    {
        RESTORE(linpacker);
    }
    else
    {
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
        if (args->count() == 0)
        {
            linpacker *widget = new linpacker;
            widget->show();
        }
        else
        {
            int i = 0;
            for (; i < args->count(); i++)
            {
                linpacker *widget = new linpacker;
		widget->openURL( args->url( i ) );
                widget->show();
            }
        }
        args->clear();
    }

    return app.exec();
}

